Package de.geolykt.starloader.launcher.service

# Class SLMixinBootstrap

java.lang.Object
de.geolykt.starloader.launcher.service.SLMixinBootstrap

All Implemented Interfaces:
  `org.spongepowered.asm.service.IMixinServiceBootstrap`

public class SLMixinBootstrap extends Object implements org.spongepowered.asm.service.IMixinServiceBootstrap

## Constructor Summary

Constructors
Constructor
Description
`SLMixinBootstrap()`

## Method Summary

Modifier and Type
Method
Description
`void`
`bootstrap()`
`String`
`getName()`
`String`
`getServiceClassName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SLMixinBootstrap

public SLMixinBootstrap()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `org.spongepowered.asm.service.IMixinServiceBootstrap`

### getServiceClassName

public String getServiceClassName()

Specified by:
  `getServiceClassName` in interface `org.spongepowered.asm.service.IMixinServiceBootstrap`

### bootstrap

public void bootstrap()

Specified by:
  `bootstrap` in interface `org.spongepowered.asm.service.IMixinServiceBootstrap`